//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "box.h"
#include "repere.h"
#include "algo.cpp"
#include "iboolean.cpp"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
box P0(2,true);
box U(2,true);
int i=0;
double epsilon=0.2;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
AnsiString Chaine(box& P)
{   AnsiString s="\n";
    for (int i=1;i<=P.dim;i++)
    {   s=s+"["+Inf(P[i])+" , "+Sup(P[i])+"]";
        if (i!=P.dim) s=s+" X ";
    }
    return s;
}
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------

void __fastcall TForm1::FormClick(TObject *Sender)
{   Button1->Visible=true;
    Memo1->Visible=true;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
    Memo1->Visible=false;
    Button1->Visible=false;
    P0[1]=interval(-1000,1000);	P0[2]=interval(-1000,1000);
    U.isEmpty=true;

    clock_t start, end;
    start = clock();
    repere R(this,-2,2,-2,2);
    R.DrawBox(P0,clWhite,clWhite,bsSolid);
    Go(R,P0,i);
    i=i+1;
    end = clock();
    if (i==2) i=0;
    Memo1->Text="SIVIA without Reduction;     \n Epsilon = "+String(epsilon);
    Memo1->Text=Memo1->Text+ "   P0   = "+Chaine(P0);
    Memo1->Text=Memo1->Text+ "--- \n Temps de calcul = " +((end-start)/CLK_TCK);
}

